-- Wire class
Wire = {}
Wire.__index = Wire

-- Create and return a new Wire
-- This is basicly the create event of this object

function Wire:new(x,y)
    local wire = setmetatable({},Wire) -- Note: Google the function setmetatable
    wire.x = x
    wire.y = y
    wire.image_index = 0
    wire.id = #instanceList

    return wire
end


-- Update the wires
-- This could be the step event 

function Wire:update()
	-- Check for surroundings

end

-- Draw the wires
-- And this could be the draw event

function Wire:draw()
    love.graphics.draw(wire_sprite[self.image_index], self.x * 16, self.y * 16)
    --love.graphics.print(tostring(self.test), self.x*16, (self.y*16)+9)
    --love.graphics.draw(drawable, x, y, r, sx, sy, ox, oy, kx, ky)
end